Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.DynamicAny
Interface DynValueBoxOperations

All Superinterfaces:
  DynAnyOperations, DynValueCommonOperations

All Known Subinterfaces:
  DynValueBox

public interface DynValueBoxOperations
extends DynValueCommonOperations

Interface definition : DynValueBox

Author:
  OpenORB Compiler

Method Summary
`DynAny` | `get_boxed_value_as_dyn_any()` Operation get_boxed_value_as_dyn_any
`Any` | `get_boxed_value()` Operation get_boxed_value
`void` | `set_boxed_value_as_dyn_any(DynAny boxed)` Operation set_boxed_value_as_dyn_any
`void` | `set_boxed_value(Any boxed)` Operation set_boxed_value

Methods inherited from interface org.omg.DynamicAny.DynValueCommonOperations
`is_null, set_to_null, set_to_value`

Methods inherited from interface org.omg.DynamicAny.DynAnyOperations
`assign, component_count, copy, current_component, destroy, equal, from_any, get_abstract, get_any, get_boolean, get_char, get_double, get_dyn_any, get_float, get_long, get_longlong, get_octet, get_reference, get_short, get_string, get_typecode, get_ulong, get_ulonglong, get_ushort, get_val, get_wchar, get_wstring, insert_abstract, insert_any, insert_boolean, insert_char, insert_double, insert_dyn_any, insert_float, insert_long, insert_longlong, insert_octet, insert_reference, insert_short, insert_string, insert_typecode, insert_ulong, insert_ulonglong, insert_ushort, insert_val, insert_wchar, insert_wstring, next, rewind, seek, to_any, type`

Method Detail

### get_boxed_value

    public Any get_boxed_value()
                        throws InvalidValue

  Operation get_boxed_value

### set_boxed_value

    public void set_boxed_value(Any boxed)
                         throws TypeMismatch

  Operation set_boxed_value

### get_boxed_value_as_dyn_any

    public DynAny get_boxed_value_as_dyn_any()
                                      throws InvalidValue

  Operation get_boxed_value_as_dyn_any

### set_boxed_value_as_dyn_any

    public void set_boxed_value_as_dyn_any(DynAny boxed)
                                    throws TypeMismatch

  Operation set_boxed_value_as_dyn_any

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD